VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmEditor 
   Caption         =   "Untitled - Opeda Editor"
   ClientHeight    =   6540
   ClientLeft      =   60
   ClientTop       =   630
   ClientWidth     =   9375
   Icon            =   "frmEditor.frx":0000
   LinkTopic       =   "frmEditor"
   ScaleHeight     =   6540
   ScaleWidth      =   9375
   StartUpPosition =   2  'CenterScreen
   Begin MSComDlg.CommonDialog CommonDialog 
      Left            =   4440
      Top             =   3000
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin MSComctlLib.StatusBar sbEditor 
      Align           =   2  'Align Bottom
      Height          =   285
      Left            =   0
      TabIndex        =   1
      Top             =   6255
      Width           =   9375
      _ExtentX        =   16536
      _ExtentY        =   503
      Style           =   1
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
         EndProperty
      EndProperty
   End
   Begin VB.TextBox txtEditorBody 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   6255
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   0
      Width           =   9375
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuNew 
         Caption         =   "&New"
         Shortcut        =   ^N
      End
      Begin VB.Menu mnuOpen 
         Caption         =   "&Open"
      End
      Begin VB.Menu mnuSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuSave 
         Caption         =   "&Save"
         Shortcut        =   ^S
      End
      Begin VB.Menu mnuSaveAs 
         Caption         =   "Save &As"
      End
      Begin VB.Menu mnuSep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuTemplate 
      Caption         =   "&Template"
      Begin VB.Menu mnuHTMLDocument 
         Caption         =   "&HTML Document"
      End
   End
   Begin VB.Menu mnuPreview 
      Caption         =   "&Preview"
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuAbout 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmEditor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private blnNewDocument As Boolean
Private strOpenFilePath As String

Private Sub Form_Load()
    sbEditor.SimpleText = Len(txtEditorBody.Text) & " Characters"
End Sub

Private Sub Form_Resize()
On Error Resume Next

    txtEditorBody.Width = frmEditor.Width - 130
    txtEditorBody.Height = frmEditor.Height - 985
End Sub

Private Sub mnuAbout_Click()
    frmAbout.Show
End Sub

Private Sub mnuExit_Click()
    If MsgBox("Are you sure that you want to Exit?" _
       , vbQuestion + vbYesNo, "Exit Opeda Editor") = vbYes Then
        End
    End If
End Sub

Private Sub mnuHTMLDocument_Click()
    txtEditorBody.Text = _
    "<html>" & vbCrLf & _
    " <head>" & vbCrLf & _
    "    <title>HTML Document</title>" & vbCrLf & _
    " </head>" & vbCrLf & _
    "<body>" & vbCrLf & _
    "" & vbCrLf & _
    "" & vbCrLf & _
    "" & vbCrLf & _
    "</body>" & vbCrLf & _
    "</html>"
End Sub

Private Sub mnuNew_Click()
    blnNewDocument = True
    txtEditorBody.Text = ""
    mnuSaveAs.Enabled = False
    mnuSave.Enabled = True
    frmEditor.Caption = "Untitled - Opeda Editor"
End Sub

Private Sub mnuOpen_Click()
Dim strFilePath As String
Dim strFileName As String
Dim strFileLine As String

    CommonDialog.ShowOpen
    
    If Len(CommonDialog.FileName) = 0 Then
        Exit Sub
    Else
        strFilePath = CommonDialog.FileName
        strFileName = CommonDialog.FileTitle
        strOpenFilePath = strFilePath
        blnNewDocument = False
        frmEditor.Caption = strFileName & " - Opeda Editor"
    End If
    
    Open strFilePath For Input As 1
        Do While Not EOF(1)
            Line Input #1, strFileLine
            txtEditorBody.Text = txtEditorBody.Text & strFileLine & vbCrLf
        Loop
    Close 1
End Sub

Private Sub mnuPreview_Click()
Dim strTempPath As String

    strTempPath = "C:\WINDOWS\Preview.html"
    
    Open strTempPath For Output As 1
        Print #1, txtEditorBody.Text
    Close 1
    
    frmPreview.Show
    frmPreview.wbPreview.Navigate strTempPath
End Sub

Private Sub mnuSave_Click()
Dim strFilePath As String
Dim strFileName As String

    If blnNewDocument = True Then
        CommonDialog.ShowSave
        
        If Len(CommonDialog.FileName) = 0 Then
            Exit Sub
        Else
            strFilePath = CommonDialog.FileName
            strFileName = CommonDialog.FileTitle
        End If
        
        Open strFilePath For Output As 1
            Print #1, txtEditorBody.Text
        Close 1
        
        frmEditor.Caption = strFileName & " - Opeda Editor"
    Else
        If Len(strOpenFilePath) = 0 Then
            Exit Sub
        End If
        
        Open strOpenFilePath For Output As 1
            Print #1, txtEditorBody.Text
        Close 1
    End If
End Sub

Private Sub mnuSaveAs_Click()
Dim strFilePath As String
Dim strFileName As String

        CommonDialog.ShowSave
        
        If Len(CommonDialog.FileName) = 0 Then
            Exit Sub
        Else
            strFilePath = CommonDialog.FileName
            strFileName = CommonDialog.FileTitle
        End If
        
        Open strFilePath For Output As 1
            Print #1, txtEditorBody.Text
        Close 1
        
        frmEditor.Caption = strFileName & " - Opeda Editor"
End Sub

Private Sub txtEditorBody_Change()
    sbEditor.SimpleText = Len(txtEditorBody.Text) & " Characters"
End Sub
